%define upstream_name    Data-Page
%define upstream_version 2.03

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Help when paging through sets of results
License:    Artistic/GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

Requires:   perl(Class::Accessor::Chained::Fast)
BuildRequires: perl(Carp)
BuildRequires: perl(Class::Accessor::Chained::Fast)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(base)
BuildRequires: perl(integer)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
When searching through large amounts of data, it is often the case
that a result set is returned that is larger than we want to display
on one page. This results in wanting to page through various pages of
data. The maths behind this is unfortunately fiddly, hence this
module.

The main concept is that you pass in the number of total entries, the
number of entries per page, and the current page number. You can then
call methods to find out how many pages of information there are, and
what number the first and last entries on the current page really are.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml NINJA README
%perl_vendorlib/Data/*
%_mandir/*/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 2.30.0-3.mga9
+ Revision: 1811672
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 2.30.0-2.mga8
+ Revision: 1526675
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sat Jun 29 2019 shlomif <shlomif> 2.30.0-1.mga8
+ Revision: 1415496
- update to 2.03

* Wed Sep 19 2018 umeabot <umeabot> 2.20.0-8.mga7
+ Revision: 1266956
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 2.20.0-7.mga6
+ Revision: 1024821
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 2.20.0-6.mga6
+ Revision: 946553
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.20.0-5.mga5
+ Revision: 746014
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.20.0-4.mga5
+ Revision: 684219
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.20.0-3.mga4
+ Revision: 510610
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.20.0-2.mga3
+ Revision: 365396
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 jquelin <jquelin> 2.20.0-1.mga1
+ Revision: 10610
- imported package perl-Data-Page


* Tue Dec 08 2009 Jérôme Quelin <jquelin@mandriva.org> 2.20.0-1mdv2010.1
+ Revision: 474737
- update to 2.02

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 2.10.0-1mdv2010.0
+ Revision: 406973
- rebuild using %%perl_convert_version

* Sat Oct 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.01-1mdv2009.1
+ Revision: 292074
- update to new version 2.01

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 2.00-6mdv2009.0
+ Revision: 241199
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Jul 05 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.00-4mdv2008.0
+ Revision: 48594
- fix runtime dependencies, not buildtime ones

* Thu Jul 05 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.00-3mdv2008.0
+ Revision: 48529
- fix dependencies


* Sat Oct 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 2.00-2mdv2007.0
+ Revision: 73456
- import perl-Data-Page-2.00-2mdv2007.1

* Sun Jan 15 2006 Frederic Lepied <flepied@mandriva.com> 2.00-1mdk
- Initial package

